/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package statelesssessionconsumerclient;

/**
 * Simple manager class for the threads used to make concurrent requests to the
 * StatelessSessionConsumer ejb.
 *
 * @author slossr1
 */
public class ThreadManager {

    private int numberOfThreads = 10;

    /**
     * Spawns a number of EJBPrompter threads based on the numberOfThreads property
     */
    public void spawnPrompters() {
        EJBPrompter ejbP;
        Thread t;
        for(int i=1; i<numberOfThreads; i++) {
            ejbP = new EJBPrompter();
            t = new Thread((Runnable)ejbP);
            t.start();
        }
    }

    public int getNumberOfThreads() {
        return numberOfThreads;
    }

    public void setNumberOfThreads(int numberOfThreads) {
        this.numberOfThreads = numberOfThreads;
    }
}
